<!DOCTYPE html>
<html>
    <head>
        <link href="./img/favicon.png" rel="shortcut icon"/>
        <meta charset="utf-8"/>
        <meta content="width=1366px, maximum-scale=1.0" name="viewport"/>
        <link href="./css/artboardCopy3.css" rel="stylesheet" type="text/css"/>
        <meta content="Launchpad by Anima" name="author">
        </meta>
    </head>
    <body style="margin: 0;
 background: rgba(255, 255, 255, 1.0);">
        <input id="anPageName" name="page" type="hidden" value="artboardcopy3"/>
        <div class="artboardcopy3">
            <div style="width: 1366px; height: 100%; position:relative; margin:auto;">
                <div class="rectangle3">
                </div>
                <img anima-src="./img/artboard-copy-4-path-14-copy-6@2x.png" class="path14copy5" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-path-14-copy-6@2x.png" class="path14copy6" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <div class="creatingalinkedli">
                    Validate the given infix expression : 24 * 70 + 43 * 77
                </div>
                <img anima-src="./img/artboard-copy-4-line@2x.png" class="line" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <div class="rectangle7">
                </div>
                <img anima-src="./img/artboard-copy-4-down-arrow-1@2x.png" class="downarrow1" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <div class="instruction">
                    Instruction
                </div>
                <div class="a1putparanthesisa">
                    1. Put paranthesis at appropriate places following operator precedence.
                    <br/>
                    2. Check whether the expression is balanced and validate it.
                    <br/>
                    3. Select all the elements that has to be pushed into the stack.
                </div>
                <div class="a247043">
                    ( ( 24 * 70 ) + ( 43 * 77 ) )
                </div>
                <div class="validate">
                    Validate :
                </div>
                <div class="arrowcopy">
                    <div class="group4">
                        <img anima-src="./img/artboard-copy-4-path-6@2x.png" class="path6" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/artboard-copy-4-path-7@2x.png" class="path7" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                </div>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="oval" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy2" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval-copy-4@2x.png" class="ovalcopy4" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy5" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy6" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy7" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy8" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy9" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy10" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy11" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy12" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <div class="label1">
                    (
                </div>
                <div class="label2">
                    (
                </div>
                <div class="a24">
                    24
                </div>
                <div class="label3">
                    *
                </div>
                <div class="a70">
                    70
                </div>
                <div class="label4">
                    )
                </div>
                <div class="label5">
                    +
                </div>
                <div class="label6">
                    (
                </div>
                <div class="a43">
                    43
                </div>
                <div class="label7">
                    *
                </div>
                <div class="a77">
                    77
                </div>
                <div class="label8">
                    )
                </div>
                <div class="label9">
                    )
                </div>
                <div class="arrowcopy">
                    <div class="group41">
                        <img anima-src="./img/artboard-copy-4-path-6@2x.png" class="path61" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/artboard-copy-4-path-7@2x.png" class="path71" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                </div>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="oval1" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy1" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy21" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy31" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy41" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy51" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy61" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy71" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy81" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy91" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy101" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy111" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-oval@2x.png" class="ovalcopy121" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <div class="label10">
                    (
                </div>
                <div class="label11">
                    (
                </div>
                <div class="a241">
                    24
                </div>
                <div class="label12">
                    *
                </div>
                <div class="a701">
                    70
                </div>
                <div class="label13">
                    )
                </div>
                <div class="label14">
                    +
                </div>
                <div class="label15">
                    (
                </div>
                <div class="a431">
                    43
                </div>
                <div class="label16">
                    *
                </div>
                <div class="a771">
                    77
                </div>
                <div class="label17">
                    )
                </div>
                <div class="label18">
                    )
                </div>
                <div class="selectalltheeleme">
                    Select all the elements that have to be pushed into the stack
                </div>
                <div class="selectalltheeleme1">
                    Select all the elements that have to be moved to output expression ( irrespective of the order )
                </div>
                <img anima-src="./img/artboard-copy-4-verified@2x.png" class="verified" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-4-loading@2x.png" class="loading" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/artboard-copy-3-loading-copy@2x.png" class="loadingcopy" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <div class="exercise">
                    Exercise
                    <br/>
                </div>
                <div class="group6">
                    <div class="moreu2026">
                        more…
                    </div>
                    <div class="rectangle4copy5">
                    </div>
                </div>
                <div class="group81">
                    <div class="rectangle4">
                    </div>
                    <div class="q11">
                        Q.1
                    </div>
                </div>
                <div class="group8copy2">
                    <div class="rectangle41">
                    </div>
                    <div class="q2">
                        Q.2
                    </div>
                </div>
                <div class="group10">
                    <div class="buttoncopy4">
                        <div class="rectangle">
                        </div>
                    </div>
                    <div class="restart">
                        Restart
                    </div>
                </div>
                <div class="group10copy">
                    <div class="buttoncopy41">
                        <div class="rectangle1">
                        </div>
                    </div>
                    <div class="check">
                        Check
                    </div>
                </div>
            </div>
        </div>
        <!-- Scripts -->
        <script>
            anima_isHidden = function(e) {
                if (!(e instanceof HTMLElement)) return !1;
                if (getComputedStyle(e).display == "none") return !0; else if (e.parentNode && anima_isHidden(e.parentNode)) return !0;
                return !1;
            };
            anima_loadAsyncSrcForTag = function(tag) {
                var elements = document.getElementsByTagName(tag);
                var toLoad = [];
                for (var i = 0; i < elements.length; i++) {
                    var e = elements[i];
                    var src = e.getAttribute("src");
                    var loaded = (src != undefined && src.length > 0 && src != 'data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==');
                    if (loaded) continue;
                    var asyncSrc = e.getAttribute("anima-src");
                    if (asyncSrc == undefined || asyncSrc.length == 0) continue;
                    if (anima_isHidden(e)) continue;
                    toLoad.push(e);
                }
                toLoad.sort(function(a, b) {
                    return anima_getTop(a) - anima_getTop(b);
                });
                for (var i = 0; i < toLoad.length; i++) {
                    var e = toLoad[i];
                    var asyncSrc = e.getAttribute("anima-src");
                    e.setAttribute("src", asyncSrc);
                }
            };
            anima_pauseHiddenVideos = function(tag) {
                var elements = document.getElementsByTagName("video");
                for (var i = 0; i < elements.length; i++) {
                    var e = elements[i];
                    var isPlaying = !!(e.currentTime > 0 && !e.paused && !e.ended && e.readyState > 2);
                    var isHidden = anima_isHidden(e);
                    if (!isPlaying && !isHidden && e.getAttribute("autoplay") == "autoplay") {
                        e.play();
                    } else if (isPlaying && isHidden) {
                        e.pause();
                    }
                }
            };
            anima_loadAsyncSrc = function(tag) {
                anima_loadAsyncSrcForTag("img");
                anima_loadAsyncSrcForTag("iframe");
                anima_loadAsyncSrcForTag("video");
                anima_pauseHiddenVideos();
            };
            var anima_getTop = function(e) {
                var top = 0;
                do {
                    top += e.offsetTop || 0;
                    e = e.offsetParent;
                } while (e);
                return top;
            };
            anima_loadAsyncSrc();
            anima_old_onResize = window.onresize;
            anima_new_onResize = undefined;
            anima_updateOnResize = function() {
                if (anima_new_onResize == undefined || window.onresize != anima_new_onResize) {
                    anima_new_onResize = function(x) {
                        if (anima_old_onResize != undefined) anima_old_onResize(x);
                        anima_loadAsyncSrc();
                    };
                    window.onresize = anima_new_onResize;
                    setTimeout(function() {
                        anima_updateOnResize();
                    }, 3000);
                }
            };
            anima_updateOnResize();
            setTimeout(function() {
                anima_loadAsyncSrc();
            }, 200);
        </script>
        <!-- End of Scripts -->
    </body>
</html>
